<?php

namespace Bydedi\Cache;

use Bydedi\Container\ServiceProvider;

class CacheServiceProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        $this->serviceContainer->register('cache.app', 'Bydedi\Cache\AppCache')->addArgument('%app.paths%');
        $this->serviceContainer->register('cache.theme', 'Bydedi\Cache\ThemeCache')
            ->setArguments(['%app.paths%', '%app.theme%']);
    }
}
