<?php

namespace Bydedi\Security;

/**
 * Class SecurityEvents
 * @package Bydedi\Security
 */
final class SecurityEvents
{
    /**
     * Event dispatch when a user try to access to a forbidden ressource
     *
     * @Event
     *
     * @var string
     */
    const DENIED = 'security.denied';

    /**
     * Event dispatch when a user access to a ressource
     *
     * @Event
     *
     * @var string
     */
    const ACCESS = 'security.access';
}
